
GammaLib - Change request #3258

Change GModelSpatial::region() method to GModelSpatial::regions() that returns a GRegions object

06/30/2020 04:14 PM - Knödlseder Jürgen

Status: New Start date: 06/30/2020

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

See #3145 for more information.

The bottom line is that only a GRegions object is sufficiently general to handle all possible cases.

Related issues:

Related to GammaLib - Change request # 3145: Properly set region for GModelSp... Closed 01/23/2020

History

#1 - 06/30/2020 04:15 PM - Knödlseder Jürgen

- Related to Change request #3145: Properly set region for GModelSpatialDiffuseCube and GModelSpatialComposite added

#2 - 05/28/2021 03:18 AM - Knödlseder Jürgen

- Target version set to 2.0.0

#3 - 03/14/2022 02:04 PM - Knödlseder Jürgen

- Target version deleted (2.0.0)
